Subject: Not listing partitions and drive

From: "Egils Riekstiņš" <[email-masked]>
Date: Mon, 26 Oct 2015 12:25:50 +0200

Hi, mad props for effort in making parted!

Love the GPT support, but I ran in a problem where "parted -l" won't display par-
titions of a mauled parttable||FAT (don't know yet).

Problem is with contents of a CF memory card that I had partitioned to msdos
previously in fdisk. I placed the start point of the first (and only) partition
at 8192 sectors from the phisical beggining of memcard but the camera didn't
like my idea, so it asked to reformat. So I did. After a photo shoot when trying
to upload photos to winPC noticed that CF card is not recognized and is asked
to be reformatted again (but I'd loose all data). So after re-boot in Linux I
tried to "parted -l" as one of the steps of understanding what happened, but it
went silent on this part. In the end it seems that camera had overwritten either
part-table or FAT with image data because now partition started at 4096s not as
previously. Note that sde5 in fdisk starts way out of the disk so I guess parted
filters out unreasonable partitions and drives.
Not a major error, I know, but just letting you guys know it can happen.

Have a good day!